Package org.jbpm.services.task.impl.model

## Class TaskDataImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.TaskDataImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.TaskData`, `org.kie.internal.task.api.model.InternalTaskData`

      @Embeddable
      public class TaskDataImpl
      extends Object
      implements org.kie.internal.task.api.model.InternalTaskData

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskDataImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAttachment​(org.kie.api.task.model.Attachment attachment)` | Adds the specified attachment to our list of Attachments.
    `void` | `addComment​(org.kie.api.task.model.Comment comment)` | Adds the specified comment to our list of comments.
    `boolean` | `equals​(Object obj)` |
    `Date` | `getActivationTime()` |
    `org.kie.api.task.model.User` | `getActualOwner()` |
    `List<org.kie.api.task.model.Attachment>` | `getAttachments()` |
    `List<org.kie.api.task.model.Comment>` | `getComments()` |
    `org.kie.api.task.model.User` | `getCreatedBy()` |
    `Date` | `getCreatedOn()` |
    `String` | `getDeploymentId()` |
    `org.kie.internal.task.api.model.AccessType` | `getDocumentAccessType()` |
    `long` | `getDocumentContentId()` |
    `String` | `getDocumentType()` |
    `Date` | `getExpirationTime()` |
    `org.kie.internal.task.api.model.AccessType` | `getFaultAccessType()` |
    `long` | `getFaultContentId()` |
    `String` | `getFaultName()` |
    `String` | `getFaultType()` |
    `org.kie.internal.task.api.model.AccessType` | `getOutputAccessType()` |
    `Long` | `getOutputContentId()` |
    `String` | `getOutputType()` |
    `long` | `getParentId()` |
    `org.kie.api.task.model.Status` | `getPreviousStatus()` |
    `String` | `getProcessId()` |
    `long` | `getProcessInstanceId()` |
    `long` | `getProcessSessionId()` |
    `org.kie.api.task.model.Status` | `getStatus()` |
    `Map<String,​Object>` | `getTaskInputVariables()` |
    `Map<String,​Object>` | `getTaskOutputVariables()` |
    `long` | `getWorkItemId()` |
    `int` | `hashCode()` |
    `org.kie.api.task.model.Status` | `initialize()` | Initializes the state of the TaskData, i.e. sets the createdOn, activationTime and sets the state to `Status.Created`.
    `boolean` | `isSkipable()` |
    `void` | `readExternal​(ObjectInput in)` |
    `org.kie.api.task.model.Attachment` | `removeAttachment​(long attachmentId)` | Removes the Attachment specified by the attachmentId.
    `org.kie.api.task.model.Comment` | `removeComment​(long commentId)` | Removes the Comment specified by the commentId.
    `void` | `setActivationTime​(Date activationTime)` |
    `void` | `setActualOwner​(org.kie.api.task.model.User actualOwner)` |
    `void` | `setAttachments​(List<org.kie.api.task.model.Attachment> attachments)` |
    `void` | `setComments​(List<org.kie.api.task.model.Comment> comments)` |
    `void` | `setCreatedBy​(org.kie.api.task.model.User createdBy)` |
    `void` | `setCreatedOn​(Date createdOn)` |
    `void` | `setDeploymentId​(String deploymentId)` |
    `void` | `setDocument​(long documentID, org.kie.internal.task.api.model.ContentData documentConentData)` | Sets the document content data for this task data.
    `void` | `setDocumentAccessType​(org.kie.internal.task.api.model.AccessType accessType)` |
    `void` | `setDocumentContentId​(long documentContentId)` |
    `void` | `setDocumentType​(String documentType)` |
    `void` | `setExpirationTime​(Date expirationTime)` |
    `void` | `setFault​(long faultContentId, org.kie.internal.task.api.model.FaultData faultData)` | Sets the fault data for this task data.
    `void` | `setFaultAccessType​(org.kie.internal.task.api.model.AccessType faultAccessType)` |
    `void` | `setFaultContentId​(long faultContentId)` |
    `void` | `setFaultName​(String faultName)` |
    `void` | `setFaultType​(String faultType)` |
    `void` | `setOutput​(long outputContentId, org.kie.internal.task.api.model.ContentData outputContentData)` | Sets the content data for this task data.
    `void` | `setOutputAccessType​(org.kie.internal.task.api.model.AccessType outputAccessType)` |
    `void` | `setOutputContentId​(long outputContentId)` |
    `void` | `setOutputType​(String outputType)` |
    `void` | `setParentId​(long parentId)` |
    `void` | `setPreviousStatus​(org.kie.api.task.model.Status previousStatus)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setProcessInstanceId​(long processInstanceId)` |
    `void` | `setProcessSessionId​(long processSessionId)` |
    `void` | `setSkipable​(boolean isSkipable)` |
    `void` | `setStatus​(org.kie.api.task.model.Status status)` |
    `void` | `setTaskInputVariables​(Map<String,​Object> taskInputVariables)` |
    `void` | `setTaskOutputVariables​(Map<String,​Object> taskOutputVariables)` |
    `void` | `setWorkItemId​(long workItemId)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskDataImpl

          public TaskDataImpl()

  - ### Method Detail

    - #### getTaskInputVariables

          public Map<String,​Object> getTaskInputVariables()

      Specified by:
        `getTaskInputVariables` in interface `org.kie.api.task.model.TaskData`

    - #### setTaskInputVariables

          public void setTaskInputVariables​(Map<String,​Object> taskInputVariables)

      Specified by:
        `setTaskInputVariables` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getTaskOutputVariables

          public Map<String,​Object> getTaskOutputVariables()

      Specified by:
        `getTaskOutputVariables` in interface `org.kie.api.task.model.TaskData`

    - #### setTaskOutputVariables

          public void setTaskOutputVariables​(Map<String,​Object> taskOutputVariables)

      Specified by:
        `setTaskOutputVariables` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### initialize

          public org.kie.api.task.model.Status initialize()

      Initializes the state of the TaskData, i.e. sets the createdOn, activationTime and sets the state to `Status.Created`.
      Specified by:
        `initialize` in interface `org.kie.internal.task.api.model.InternalTaskData`
      Returns:
        returns the current state of the TaskData

    - #### getStatus

          public org.kie.api.task.model.Status getStatus()

      Specified by:
        `getStatus` in interface `org.kie.api.task.model.TaskData`

    - #### setStatus

          public void setStatus​(org.kie.api.task.model.Status status)

      Specified by:
        `setStatus` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getPreviousStatus

          public org.kie.api.task.model.Status getPreviousStatus()

      Specified by:
        `getPreviousStatus` in interface `org.kie.api.task.model.TaskData`

    - #### setPreviousStatus

          public void setPreviousStatus​(org.kie.api.task.model.Status previousStatus)

      Specified by:
        `setPreviousStatus` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getActualOwner

          public org.kie.api.task.model.User getActualOwner()

      Specified by:
        `getActualOwner` in interface `org.kie.api.task.model.TaskData`

    - #### setActualOwner

          public void setActualOwner​(org.kie.api.task.model.User actualOwner)

      Specified by:
        `setActualOwner` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getCreatedBy

          public org.kie.api.task.model.User getCreatedBy()

      Specified by:
        `getCreatedBy` in interface `org.kie.api.task.model.TaskData`

    - #### setCreatedBy

          public void setCreatedBy​(org.kie.api.task.model.User createdBy)

      Specified by:
        `setCreatedBy` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getCreatedOn

          public Date getCreatedOn()

      Specified by:
        `getCreatedOn` in interface `org.kie.api.task.model.TaskData`

    - #### setCreatedOn

          public void setCreatedOn​(Date createdOn)

      Specified by:
        `setCreatedOn` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getActivationTime

          public Date getActivationTime()

      Specified by:
        `getActivationTime` in interface `org.kie.api.task.model.TaskData`

    - #### setActivationTime

          public void setActivationTime​(Date activationTime)

      Specified by:
        `setActivationTime` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getExpirationTime

          public Date getExpirationTime()

      Specified by:
        `getExpirationTime` in interface `org.kie.api.task.model.TaskData`

    - #### setExpirationTime

          public void setExpirationTime​(Date expirationTime)

      Specified by:
        `setExpirationTime` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### isSkipable

          public boolean isSkipable()

      Specified by:
        `isSkipable` in interface `org.kie.api.task.model.TaskData`

    - #### setSkipable

          public void setSkipable​(boolean isSkipable)

      Specified by:
        `setSkipable` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### setWorkItemId

          public void setWorkItemId​(long workItemId)

      Specified by:
        `setWorkItemId` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getWorkItemId

          public long getWorkItemId()

      Specified by:
        `getWorkItemId` in interface `org.kie.api.task.model.TaskData`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.api.task.model.TaskData`

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `org.kie.api.task.model.TaskData`

    - #### setProcessId

          public void setProcessId​(String processId)

      Specified by:
        `setProcessId` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getProcessSessionId

          public long getProcessSessionId()

      Specified by:
        `getProcessSessionId` in interface `org.kie.api.task.model.TaskData`

    - #### setProcessSessionId

          public void setProcessSessionId​(long processSessionId)

      Specified by:
        `setProcessSessionId` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### setDocument

          public void setDocument​(long documentID,
                                  org.kie.internal.task.api.model.ContentData documentConentData)

      Sets the document content data for this task data. It will set the documentContentId from the specified documentID, documentAccessType, documentType from the specified documentConentData.
      Specified by:
        `setDocument` in interface `org.kie.internal.task.api.model.InternalTaskData`
      Parameters:
        `documentID` - id of document content
        `documentConentData` - ContentData

    - #### getDocumentAccessType

          public org.kie.internal.task.api.model.AccessType getDocumentAccessType()

      Specified by:
        `getDocumentAccessType` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### setDocumentAccessType

          public void setDocumentAccessType​(org.kie.internal.task.api.model.AccessType accessType)

      Specified by:
        `setDocumentAccessType` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getDocumentType

          public String getDocumentType()

      Specified by:
        `getDocumentType` in interface `org.kie.api.task.model.TaskData`

    - #### getDocumentContentId

          public long getDocumentContentId()

      Specified by:
        `getDocumentContentId` in interface `org.kie.api.task.model.TaskData`

    - #### setDocumentContentId

          public void setDocumentContentId​(long documentContentId)

      Specified by:
        `setDocumentContentId` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### setDocumentType

          public void setDocumentType​(String documentType)

      Specified by:
        `setDocumentType` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### setOutput

          public void setOutput​(long outputContentId,
                                org.kie.internal.task.api.model.ContentData outputContentData)

      Sets the content data for this task data. It will set the outputContentId from the specified outputContentId, outputAccessType, outputType from the specified outputContentData.
      Specified by:
        `setOutput` in interface `org.kie.internal.task.api.model.InternalTaskData`
      Parameters:
        `outputContentId` - id of output content
        `outputContentData` - contentData

    - #### getOutputAccessType

          public org.kie.internal.task.api.model.AccessType getOutputAccessType()

      Specified by:
        `getOutputAccessType` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### setOutputAccessType

          public void setOutputAccessType​(org.kie.internal.task.api.model.AccessType outputAccessType)

      Specified by:
        `setOutputAccessType` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getOutputType

          public String getOutputType()

      Specified by:
        `getOutputType` in interface `org.kie.api.task.model.TaskData`

    - #### setOutputType

          public void setOutputType​(String outputType)

      Specified by:
        `setOutputType` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getOutputContentId

          public Long getOutputContentId()

      Specified by:
        `getOutputContentId` in interface `org.kie.api.task.model.TaskData`

    - #### setOutputContentId

          public void setOutputContentId​(long outputContentId)

      Specified by:
        `setOutputContentId` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### setFault

          public void setFault​(long faultContentId,
                               org.kie.internal.task.api.model.FaultData faultData)

      Sets the fault data for this task data. It will set the faultContentId from the specified faultContentId, faultAccessType, faultType, faultName from the specified faultData.
      Specified by:
        `setFault` in interface `org.kie.internal.task.api.model.InternalTaskData`
      Parameters:
        `faultContentId` - id of fault content
        `faultData` - FaultData

    - #### getFaultName

          public String getFaultName()

      Specified by:
        `getFaultName` in interface `org.kie.api.task.model.TaskData`

    - #### setFaultName

          public void setFaultName​(String faultName)

      Specified by:
        `setFaultName` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getFaultAccessType

          public org.kie.internal.task.api.model.AccessType getFaultAccessType()

      Specified by:
        `getFaultAccessType` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### setFaultAccessType

          public void setFaultAccessType​(org.kie.internal.task.api.model.AccessType faultAccessType)

      Specified by:
        `setFaultAccessType` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getFaultType

          public String getFaultType()

      Specified by:
        `getFaultType` in interface `org.kie.api.task.model.TaskData`

    - #### setFaultType

          public void setFaultType​(String faultType)

      Specified by:
        `setFaultType` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getFaultContentId

          public long getFaultContentId()

      Specified by:
        `getFaultContentId` in interface `org.kie.api.task.model.TaskData`

    - #### setFaultContentId

          public void setFaultContentId​(long faultContentId)

      Specified by:
        `setFaultContentId` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getComments

          public List<org.kie.api.task.model.Comment> getComments()

      Specified by:
        `getComments` in interface `org.kie.api.task.model.TaskData`

    - #### addComment

          public void addComment​(org.kie.api.task.model.Comment comment)

      Adds the specified comment to our list of comments.
      Specified by:
        `addComment` in interface `org.kie.internal.task.api.model.InternalTaskData`
      Parameters:
        `comment` - comment to add

    - #### removeComment

          public org.kie.api.task.model.Comment removeComment​(long commentId)

      Removes the Comment specified by the commentId.
      Specified by:
        `removeComment` in interface `org.kie.internal.task.api.model.InternalTaskData`
      Parameters:
        `commentId` - id of Comment to remove
      Returns:
        removed Comment or null if one was not found with the id

    - #### setComments

          public void setComments​(List<org.kie.api.task.model.Comment> comments)

      Specified by:
        `setComments` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getAttachments

          public List<org.kie.api.task.model.Attachment> getAttachments()

      Specified by:
        `getAttachments` in interface `org.kie.api.task.model.TaskData`

    - #### addAttachment

          public void addAttachment​(org.kie.api.task.model.Attachment attachment)

      Adds the specified attachment to our list of Attachments.
      Specified by:
        `addAttachment` in interface `org.kie.internal.task.api.model.InternalTaskData`
      Parameters:
        `attachment` - attachment to add

    - #### removeAttachment

          public org.kie.api.task.model.Attachment removeAttachment​(long attachmentId)

      Removes the Attachment specified by the attachmentId.
      Specified by:
        `removeAttachment` in interface `org.kie.internal.task.api.model.InternalTaskData`
      Parameters:
        `attachmentId` - id of attachment to remove
      Returns:
        removed Attachment or null if one was not found with the id

    - #### setAttachments

          public void setAttachments​(List<org.kie.api.task.model.Attachment> attachments)

      Specified by:
        `setAttachments` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### getParentId

          public long getParentId()

      Specified by:
        `getParentId` in interface `org.kie.internal.task.api.model.InternalTaskData`
      Specified by:
        `getParentId` in interface `org.kie.api.task.model.TaskData`

    - #### setParentId

          public void setParentId​(long parentId)

      Specified by:
        `setParentId` in interface `org.kie.internal.task.api.model.InternalTaskData`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getDeploymentId

          public String getDeploymentId()

      Specified by:
        `getDeploymentId` in interface `org.kie.api.task.model.TaskData`

    - #### setDeploymentId

          public void setDeploymentId​(String deploymentId)

      Specified by:
        `setDeploymentId` in interface `org.kie.internal.task.api.model.InternalTaskData`